Debian Bug report logs - #258042
Error when printing via lpr/hpijs/apsfilter/gs

version graph

Package: a2ps; Maintainer for a2ps is Masayuki Hatta (mhatta) <mhatta@debian.org>; Source for a2ps is src:a2ps.

Reported by: Lechner Joachim <leech_joe@gmx.de>

Date: Wed, 7 Jul 2004 10:18:12 UTC

Severity: important

Merged with 259210

Found in version 1:4.13b-2

Fixed in versions a2ps/1:4.13b-4, a2ps/1:4.13b-3

Done: Masayuki Hatta (mhatta) <mhatta@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Masayuki Hatta (mhatta) <mhatta@debian.org>:
Bug#258042; Package gs. Full text and rfc822 format available.

Acknowledgement sent to Lechner Joachim <leech_joe@gmx.de>:
New Bug report received and forwarded. Copy sent to Masayuki Hatta (mhatta) <mhatta@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lechner Joachim <leech_joe@gmx.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Error when printing via lpr/hpijs/apsfilter/gs
Date: Wed, 07 Jul 2004 12:13:03 +0200
Package: gs
Version: 8.01-4
Severity: important

About two weeks ago I updated my system. Afterwards I wasn't able to
print anymore. Following I found in the log file in the spool directory
of the printer:

ATTENTION: I tried to use diffrent gs- packages - as you can see all of
them show the same output.

------------------------------ 8< -------------------------------------
Error: /undefined in .untdictstack
Operand stack:

Execution stack:
   %interp_exit   .runexec2   --nostringval--   --nostringval--
   %--nostringval--   2   %stopped_push   --nostringval--
   %--nostringval--
Dictionary stack:
   --dict:1067/1123(ro)(G)--   --dict:0/20(G)--   --dict:92/200(L)--
Current allocation mode is local
Last OS error: 2
GPL Ghostscript 8.01: Unrecoverable error, exit code 1
sed: couldn't write 462 items to stdout: Broken pipe
cat: write error: Broken pipe
Error: /undefined in .untdictstack
Operand stack:

Execution stack:
   %interp_exit   .runexec2   --nostringval--   --nostringval--
   %--nostringval--   2   %stopped_push   --nostringval--
   %--nostringval--
Dictionary stack:
   --dict:1071/1417(ro)(G)--   --dict:0/20(G)--   --dict:91/200(L)--
Current allocation mode is local
Last OS error: 2
ESP Ghostscript 7.07.1: Unrecoverable error, exit code 1
sed: couldn't write 462 items to stdout: Broken pipe
cat: write error: Broken pipe
Error: /undefined in .untdictstack
Operand stack:

Execution stack:
   %interp_exit   .runexec2   --nostringval--   --nostringval--
   %--nostringval--   2   %stopped_push   --nostringval--
   %--nostringval--
Dictionary stack:
   --dict:1132/1686(ro)(G)--   --dict:0/20(G)--   --dict:93/200(L)--
Current allocation mode is local
Last OS error: 2
AFPL Ghostscript 8.14: Unrecoverable error, exit code 1
sed: couldn't write 462 items to stdout: Broken pipe
cat: write error: Broken pipe
------------------------------ 8< -------------------------------------

I searched via google but couldn't find anything useful. It seems that
untdictstack does not exist at all ?! Maybe this should be
countdictstack (the only similar thing I found). But I don't know what
this means at all.

Further more I was able to print the test page via apsfilterconfig
without any problems.

I hope somebody can help me / fix this bug if it is one ?!


Best regards, Joachim Lechner




Not listened package infos:
---------------------------
ii  gs-gpl         8.01-4         The GPL Ghostscript PostScript interpreter
ii  apsfilter      7.2.5-4        Magic print filter with automatic file type 
ii  lpr            2003.09.23-4   BSD lpr/lpd line printer spooling system
ii  hpijs          1.6-2          HP Inkjet Server - Ghostscript driver for HP


-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Kernel: Linux 2.6.6a
Locale: LANG=C, LC_CTYPE=de_DE@euro

Versions of packages gs depends on:
ii  gs-gpl                        8.01-4     The GPL Ghostscript PostScript int

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Masayuki Hatta (mhatta) <mhatta@debian.org>:
Bug#258042; Package gs. Full text and rfc822 format available.

Acknowledgement sent to kmccarty@Princeton.EDU:
Extra info received and forwarded to list. Copy sent to Masayuki Hatta (mhatta) <mhatta@debian.org>. Full text and rfc822 format available.

Message #10 received at 258042@bugs.debian.org (full text, mbox):

From: "Kevin B. McCarty" <kmccarty@Princeton.EDU>
To: 258042@bugs.debian.org
Subject: me too!
Date: Thu, 12 Aug 2004 12:46:08 -0400 (EDT)
Hi,

I have this exact problem!  Using woody with some backports from Adrian 
Bunk's site and backports.org.  Specific versions are:

ii  a2ps           4.13b-16       GNU a2ps 'Anything to PostScript' converter
ii  apsfilter      7.2.2-3        Magic print filter with automatic file type
ii  gs             7.07-0.bunk    The Ghostscript Postscript interpreter
ii  gs-common      0.3.3.0woody1  Common files for different Ghostscript relea

if that helps any.  I am also getting a warning message in the logs

	apsfilter warning: unknown option 'merope'

(merope is the hostname of the print server); don't know if this is 
related however.  For some reason the errors you report are printed out 
rather than sent to the log on my system (annoyingly wasting paper while I 
try to figure out this bug).

Please keep me updated on this problem.  At first I thought it was a 
problem of a2ps because it creates PS files containing the string 
"countdictstack", but printing most PS files fails even when they don't 
contain that string.  (The test.ps provided in apsfilter package is a 
notable exception.)

-- 
Kevin B. McCarty <kmccarty@princeton.edu>   Physics Department
WWW: http://www.princeton.edu/~kmccarty/    Princeton University
GPG: public key ID 4F83C751                 Princeton, NJ 08544



Information forwarded to debian-bugs-dist@lists.debian.org, Masayuki Hatta (mhatta) <mhatta@debian.org>:
Bug#258042; Package gs. Full text and rfc822 format available.

Acknowledgement sent to kmccarty@Princeton.EDU:
Extra info received and forwarded to list. Copy sent to Masayuki Hatta (mhatta) <mhatta@debian.org>. Full text and rfc822 format available.

Message #15 received at 258042@bugs.debian.org (full text, mbox):

From: "Kevin B. McCarty" <kmccarty@Princeton.EDU>
To: 258042@bugs.debian.org
Subject: Re: me too!
Date: Thu, 12 Aug 2004 13:13:05 -0400 (EDT)
OK, I just upgraded to the version of apsfilter in unstable, and now I get 
the error messages going to the logfile instead of the printer.  It's a 
slight improvement in the situation, though still not too useful :-/

so to re-summarize package versions,

ii  a2ps           4.13b-16       GNU a2ps 'Anything to PostScript' converter
ii  apsfilter      7.2.5-4        Magic print filter with automatic file type
ii  gs             7.07-0.bunk    The Ghostscript Postscript interpreter
ii  gs-common      0.3.3.0woody1  Common files for different Ghostscript relea
ii  hpijs          1.0.4-1        HP Inkjet Server - Ghostscript driver for HP
ii  lpr            2000.05.07-4.3 BSD lpr/lpd line printer spooling system

I'm using the PCL3 hpdj1120c driver (the printer being an HP 1120C).

-- 
Kevin B. McCarty <kmccarty@princeton.edu>   Physics Department
WWW: http://www.princeton.edu/~kmccarty/    Princeton University
GPG: public key ID 4F83C751                 Princeton, NJ 08544



Information forwarded to debian-bugs-dist@lists.debian.org, Masayuki Hatta (mhatta) <mhatta@debian.org>:
Bug#258042; Package gs. Full text and rfc822 format available.

Acknowledgement sent to "Kevin B. McCarty" <kmccarty@Princeton.EDU>:
Extra info received and forwarded to list. Copy sent to Masayuki Hatta (mhatta) <mhatta@debian.org>. Full text and rfc822 format available.

Message #20 received at 258042@bugs.debian.org (full text, mbox):

From: "Kevin B. McCarty" <kmccarty@Princeton.EDU>
To: filipi@em.pucrs.br
Cc: debian-user@lists.debian.org, 258042@bugs.debian.org
Subject: Re: Sarge not printing [WORKAROUND]
Date: Fri, 13 Aug 2004 12:13:41 -0400
On 08/12/2004 05:03 PM, Kevin B. McCarty wrote:
> For what it's worth, I started experiencing the same problem beginning
> perhaps a couple weeks ago.  The weird thing is that my cluster is
> running woody except for a few backports!  One of them was gs 7.07, so I
> downgraded back to the gs in woody, but still no luck.  I haven't found
> a solution yet.

After a couple hours looking more deeply into this, I found part of the
problem.  (This was made slightly easier because I'm running woody +
backports, so the number of possible culprits was relatively small.)
Apparently the semantics of sed changed slightly between 4.0.9-5 and
4.1-1, causing something that uses sed in the long pipeline from "lpr ->
apsfilter -> gs -> printer" to break.  So a workaround is to downgrade
sed to version 4.0.9-5 or earlier, which should result in printing via
apsfilter working once again.

Still researching which package Bug 258042 should be reassigned to --
right now it appears to be one of {sed, a2ps, psutils}.

-- 
Kevin B. McCarty <kmccarty@princeton.edu>   Physics Department
WWW: http://www.princeton.edu/~kmccarty/    Princeton University
GPG public key ID: 4F83C751                 Princeton, NJ 08544



Information forwarded to debian-bugs-dist@lists.debian.org, Masayuki Hatta (mhatta) <mhatta@debian.org>:
Bug#258042; Package gs. Full text and rfc822 format available.

Acknowledgement sent to kmccarty@Princeton.EDU:
Extra info received and forwarded to list. Copy sent to Masayuki Hatta (mhatta) <mhatta@debian.org>. Full text and rfc822 format available.

Message #25 received at 258042@bugs.debian.org (full text, mbox):

From: "Kevin B. McCarty" <kmccarty@Princeton.EDU>
To: schizo@debian.org, mhatta@debian.org
Cc: 258042@bugs.debian.org
Subject: Is this bug the fault of sed or psset? Please reply quickly.
Date: Fri, 13 Aug 2004 14:19:52 -0400 (EDT)
[Message part 1 (text/plain, inline)]
Hi,

The first attachment to this email, psset.sed, is a sed script is created 
on-the-fly by psset (in the a2ps package).  As you see, lines 5 and 17 of 
the script begin with the characters "\countdictstack" (without quotes). 
However, versions 4.1-1 and higher of sed treat the "\co" as an escape 
sequence representing Ctrl+O (ASCII 15), which breaks the output of psset, 
and in turn causes Bug# 258042 that is currently filed against gs. 
Versions 4.0.9-5 and earlier of sed do not do anything special with the 
"\co".

Now, the Info sed manual describes the "\cX" escape sequence, but I am not 
intimately familiar with sed so I don't know under what circumstances the 
escape is substituted in.  If the escape should NOT be substituted in, 
this is a bug in sed that should be fixed.  On the other hand, if current 
versions of sed are behaving correctly, I will reassign it to a2ps.

The second attachment to this email, a2ps.patch, is a trivial patch to fix 
psset to work with the current behavior of sed.  (The patch is harmless if 
the sed behavior is reverted.)  I think it should be applied in any case, 
since sed is in Base and therefore already frozen, while a2ps is not yet.

Please look after this quickly, because this problem makes apsfilter 
essentially unusable as a print filter in sarge.

thanks and regards,

-- 
Kevin B. McCarty <kmccarty@princeton.edu>   Physics Department
WWW: http://www.princeton.edu/~kmccarty/    Princeton University
GPG: public key ID 4F83C751                 Princeton, NJ 08544
[psset.sed (text/plain, attachment)]
[a2ps.patch (text/plain, attachment)]

Bug reassigned from package `gs' to `a2ps'. Request was from "Kevin B. McCarty" <kmccarty@Princeton.EDU> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 258042 259210. Request was from "Kevin B. McCarty" <kmccarty@Princeton.EDU> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Masayuki Hatta (mhatta) <mhatta@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Lechner Joachim <leech_joe@gmx.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #34 received at 258042-close@bugs.debian.org (full text, mbox):

From: Masayuki Hatta (mhatta) <mhatta@debian.org>
To: 258042-close@bugs.debian.org
Subject: Bug#258042: fixed in a2ps 1:4.13b-4
Date: Mon, 16 Aug 2004 16:02:11 -0400
Source: a2ps
Source-Version: 1:4.13b-4

We believe that the bug you reported is fixed in the latest version of
a2ps, which is due to be installed in the Debian FTP archive:

a2ps_4.13b-4.diff.gz
  to pool/main/a/a2ps/a2ps_4.13b-4.diff.gz
a2ps_4.13b-4.dsc
  to pool/main/a/a2ps/a2ps_4.13b-4.dsc
a2ps_4.13b-4_i386.deb
  to pool/main/a/a2ps/a2ps_4.13b-4_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 258042@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Masayuki Hatta (mhatta) <mhatta@debian.org> (supplier of updated a2ps package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Tue, 17 Aug 2004 03:34:28 +0900
Source: a2ps
Binary: a2ps
Architecture: source i386
Version: 1:4.13b-4
Distribution: unstable
Urgency: high
Maintainer: Masayuki Hatta (mhatta) <mhatta@debian.org>
Changed-By: Masayuki Hatta (mhatta) <mhatta@debian.org>
Description: 
 a2ps       - GNU a2ps - 'Anything to PostScript' converter and pretty-printer
Closes: 258042 259210
Changes: 
 a2ps (1:4.13b-4) unstable; urgency=high
 .
   * psset & newer sed problem: fixed contrib/psset.in too, thanks Kevin
     B. McCarty - closes: #259210, #258042
   * Applied a fix for ``too many includes'' bug.
Files: 
 7b2a9ce07022e63271a34c8b24f4190a 732 text optional a2ps_4.13b-4.dsc
 4268610fbf9d3a948e0ecff23b263d43 75126 text optional a2ps_4.13b-4.diff.gz
 a8b051a999195d6056517a0cde0c7dff 715384 text optional a2ps_4.13b-4_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.5 (GNU/Linux)

iD8DBQFBIQY9y2+jQOcHWlQRArNnAKCJh6EDM+gucA1Mu3cc23+HMGKkcwCbB6AB
LMxqyAD7q2w778Tg/pgC0MU=
=edez
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 15:44:28 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.